## wmbatppc 1.0

=== Makefile ===
#

LIBDIR = -L/usr/X11R6/lib
LIBS   = -lXpm -lXext -lX11 -lm
FLAGS = -O6
OBJS =	 \
		wmgeneral.o \

default:all

.c.o:
	cc -I/usr/X11R6/share/include $(FLAGS) -c -Wall $< -o $*.o

wmbatppc.o: wmbatppc.c wmbatppc-master.xpm
	cc -I/usr/X11R6/share/include $(FLAGS) -c -Wall wmbatppc.c -o $*.o

wmbatppc: $(OBJS) wmbatppc.o
	cc $(FLAGS) -o wmbatppc $(OBJS) -lXext $(LIBDIR) $(LIBS) wmbatppc.o

all:: wmbatppc

clean::
	rm -f *.o
	rm -f wmbatppc 
	rm -f *~

install:: wmbatppc
	strip wmbatppc
	cp -f wmbatppc /usr/local/bin/
	chmod 755 /usr/local/bin/wmbatppc
	chown root:root /usr/local/bin/wmbatppc
	cp -f wmbatppc.1 /usr/local/man/man1
	chmod 644 /usr/local/man/man1/wmbatppc.1
	chown root:root /usr/local/man/man1/wmbatppc.1
	@echo "wmbatppc Installation finished..."

## wmbatppc 2.5

=== Makefile ===

DESTDIR=

PREFIX= $(DESTDIR)/usr
CC = /usr/bin/gcc
INSTALL = /usr/bin/install
LIBDIR = -L/usr/X11R6/lib
LIBS = -lXpm -lXext -lX11 -lm $(shell /usr/bin/xosd-config --libs)
FLAGS = -O2 -DENABLE_XOSD $(shell /usr/bin/xosd-config --cflags)
OBJS = wmgeneral.o

default:all

.c.o:
	$(CC) -I/usr/X11R6/share/include $(FLAGS) -c -Wall $< -o $*.o

wmbatppc.o: wmbatppc.c wmbatppc-master.xpm
	$(CC) -I/usr/X11R6/share/include $(FLAGS) -c -Wall wmbatppc.c -o $*.o

wmbatppc: $(OBJS) wmbatppc.o
	$(CC) $(FLAGS) -o wmbatppc $(OBJS) -lXext $(LIBDIR) $(LIBS) wmbatppc.o

all:: wmbatppc

clean::
	rm -f *.o
	rm -f wmbatppc 
	rm -f *~

install:: wmbatppc
	$(INSTALL) -d $(PREFIX)/bin
	$(INSTALL) -s -m 755 wmbatppc $(PREFIX)/bin
	ln -s $(PREFIX)/bin/wmbatppc $(PREFIX)/bin/batppc
	$(INSTALL) -d $(PREFIX)/share/man/man1
	$(INSTALL) -m 644 wmbatppc.1 $(PREFIX)/share/man/man1
	ln -s $(PREFIX)/share/man/man1/wmbatppc.1 $(PREFIX)/share/man/man1/batppc.1
	@echo "wmbatppc Installation finished..."

=== debian/changelog ===
wmbatppc (2.5-7) unstable; urgency=medium

  * debian/control
    - Update Vcs-* fields.
    - Set Debian Window Maker Team as Maintainer; move myself to
      Uploaders with updated email address.
    - Tidy up using wrap-and-sort.
  * debian/{copyright,patches}
    - Update email address.

 -- Doug Torrance <dtorrance@piedmont.edu>  Fri, 21 Aug 2015 22:21:20 -0400

wmbatppc (2.5-6) unstable; urgency=medium

  * New maintainer (Closes: #688553).
  * debian/compat
    - Bump to 9.
  * debian/control
    - Bump Standards-Version to 3.9.6; no changes required.
    - Bump versioned dependency on debhelper to >=9.
    - Remove unnecessary versioned dependency on libxosd-dev.
    - Add Homepage and Vcs-* fields.
  * debian/copyright
    - Convert to machine-readable format version 1.0.
  * debian/docs
    - Remove COPYING to avoid extra-license-file lintian warning.
  * debian/dirs
    - Remove unnecessary file.
  * debian/patches
    - (remove_X11R_dir.patch) Fix FTBFS on mips* (Closes: #722867).
    - (fix_build_flags.patch) Respect CFLAGS, CPPFLAGS, and LDFLAGS.
    - (use_relative_symlinks.patch) Fix installation of batppc command line
      utility and its manpage.
    - (fix_-Wunused-*.patch) Fix compiler warnings.
  * debian/rules
    - Add get-orig-source target.
    - Update to use dh.
    - Add override_dh_auto_build target to use CFLAGS from dpkg-buildflags.
    - Append -Wl,--as-needed to LDFLAGS to avoid dpkg-shlibdeps useless
      dependency warnings.
  * debian/watch
    - New file; obtained from sepwatch project.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Wed, 31 Dec 2014 10:08:19 -0600

wmbatppc (2.5-5) unstable; urgency=low

  * Switch to source format 3.0 (quilt).
  * debian/patches/fix_link_order.patch
    - Fix link order for ld --as-needed, patch from
      Colin Watson (Closes: #650276).

 -- Julien BLACHE <jblache@debian.org>  Fri, 02 Dec 2011 13:01:03 +0000

wmbatppc (2.5-4) unstable; urgency=low

  * debian/control
    - Bump Standards-Version to 3.9.2 (no changes required).
    - Add ${misc:Depends}.

 -- Julien BLACHE <jblache@debian.org>  Mon, 13 Jun 2011 11:09:16 +0200

wmbatppc (2.5-3) unstable; urgency=low

  * debian/control
    - Bump Standards-Version to 3.8.0 (no changes required).
    - Fix -1 build-dep.
  * debian/copyright
    - Update and fixes.

 -- Julien BLACHE <jblache@debian.org>  Fri, 25 Jul 2008 14:33:03 +0200

wmbatppc (2.5-2) unstable; urgency=low

  * debian/control
    - Bump Standards-Version to 3.7.2 (no changes required).
  * debian/compat, debian/control
    - Switch to DH_COMPAT 5.
  * debian/rules
    - Do not ignore make clean errors.
  * debian/menu:
    - Update for the new menu structure.
    - Add a description.

 -- Julien BLACHE <jblache@debian.org>  Mon, 06 Aug 2007 12:31:45 +0200

wmbatppc (2.5-1) unstable; urgency=low

  * New upstream release.
    - Fixes compilation without XOSD.
    - Adds a switch to disable XOSD at runtime.
  * debian/control
    - Replace xlibs-dev B-D with B-D on the individual X libs packages.

 -- Julien BLACHE <jblache@debian.org>  Wed, 13 Oct 2004 19:55:47 +0200

wmbatppc (2.4-2) unstable; urgency=low

  * wmbatppc.c
    - Fix compilation without XOSD (Closes: #244725).
  * debian/menu
    - Fix the various errors.

 -- Julien BLACHE <jblache@debian.org>  Thu, 20 May 2004 20:30:13 +0200

wmbatppc (2.4-1) unstable; urgency=low

  * New upstream release.
    - Fix a crash when xosd cannot set a suitable font (wrt locale and UTF8).

 -- Julien BLACHE <jblache@debian.org>  Sun, 22 Feb 2004 13:49:27 +0100

wmbatppc (2.3-1) unstable; urgency=low

  * New upstream release.
    - Fix /proc/pmu/ parsing.
  * Bump Standards-Version to 3.6.0 (no changes required).

 -- Julien BLACHE <jblache@debian.org>  Wed, 23 Jul 2003 16:48:46 +0200

wmbatppc (2.1-1) unstable; urgency=low

  * New upstream release.
  * Small bugfix, this is the first version uploaded since 1.2-1.

 -- Julien BLACHE <jblache@debian.org>  Sun, 26 Jan 2003 16:16:07 +0100

wmbatppc (2.0-1) unstable; urgency=low

  * New upstream release.
  * Update description.

 -- Julien BLACHE <jblache@debian.org>  Wed, 27 Nov 2002 22:09:30 +0100

wmbatppc (1.2-1) unstable; urgency=low

  * New upstream release.
    - Add support for UNIX domain sockets (-u switch).
    - Add support for /proc/pmu (-p switch).
  * Bump upstream version, at author's request.

 -- Julien BLACHE <jblache@debian.org>  Wed, 16 Oct 2002 20:40:58 +0200

wmbatppc (1.0-1) unstable; urgency=low

  * New upstream release.
    - Modify the menu to run wmbatppc -w (WindowMaker mode).

 -- Julien BLACHE <jblache@debian.org>  Mon, 29 Oct 2001 13:23:46 +0100

wmbatppc (0.2-1) unstable; urgency=low

  * Initial release (Closes: 114191).

 -- Julien BLACHE <jblache@debian.org>  Sun,  2 Sep 2001 21:09:51 +0200

=== debian/control ===
Source: wmbatppc
Section: utils
Priority: optional
Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper (>= 9),
               libx11-dev,
               libxext-dev,
               libxosd-dev,
               libxpm-dev
Standards-Version: 3.9.6
Homepage: http://titelou.free.fr/wmbatppc/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-wmaker/wmbatppc.git
Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmbatppc.git

Package: wmbatppc
Architecture: powerpc
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: pmud, wmaker
Description: Battery monitor for Apple G3/G4 ibooks/powerbooks
 wmbatppc displays the status of your laptop's battery in a dock icon,
 and features an On-Screen Display to remind you of the battery state.
 This is aimed at PPC laptops, suchs as iBooks and PowerBooks G3 or G4 ;
 laptops with two batteries are supported.
 .
 A command-line utility called batppc is also provided to access battery
 information from the console.
 .
 The status infos include the charge of the battery, the voltage, whether
 your laptop is plugged in or not, whether the battery is charging
 or not, the time remaining (both use and charge) and the level of the
 battery (it indicates the level of each battery if your laptop has two
 bays).
 .
 This package suggests pmud which can be used as a source of information.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(shell dpkg-buildflags --get CFLAGS)"

get-orig-source:
	uscan --verbose --force-download --rename

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
http://jblache.nerim.net/wmbatppc/ (?:.*/)?wmbatppc[_\-\.]?(\d\S*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
